{
    attributes = (
        {
            allowsNull = Y; 
            definition = toScolInscriptionEtudiant.adrNom; 
            externalType = VARCHAR2; 
            name = adrNom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolInscriptionEtudiant.adrPrenom; 
            externalType = VARCHAR2; 
            name = adrPrenom; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            definition = toScolInscriptionEtudiant.etudNumero; 
            externalType = NUMBER; 
            name = etudNumero; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MRJO_ANNEE_SUIVIE; 
            externalType = NUMBER; 
            name = mrjoAnneeSuivie; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MRJO_CLE; 
            externalType = NUMBER; 
            name = mrjoCle; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            definition = toScolMaquetteRepartitionEc.toScolMaquetteEc.mecCode; 
            externalType = VARCHAR2; 
            name = mrjoCode; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = MRJO_KEY; 
            externalType = NUMBER; 
            name = mrjoKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = toScolMaquetteRepartitionEc.toScolMaquetteEc.mecLibelle; 
            externalType = VARCHAR2; 
            name = mrjoLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MRJO_MOTIF; 
            externalType = VARCHAR2; 
            name = mrjoMotif; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = MRJO_SEMESTRE; 
            externalType = NUMBER; 
            name = mrjoSemestre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MRJO_TYPE; 
            externalType = VARCHAR2; 
            name = mrjoType; 
            valueClassName = NSString; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (mrjoKey); 
    className = EOGenericRecord; 
    classProperties = (
        mrjoKey, 
        fspnKey, 
        mrjoAnneeSuivie, 
        mrjoCle, 
        mrjoType, 
        idiplNumero, 
        mrjoMotif, 
        fannKey, 
        toScolFormationAnnee, 
        toScolInscriptionEtudiant, 
        adrNom, 
        adrPrenom, 
        etudNumero, 
        toScolMaquetteRepartitionEc, 
        mrjoCode, 
        mrjoLibelle, 
        mrjoSemestre
    ); 
    externalName = SCOL_MAQUETTE_REPORT_JOURNAL; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteReportJournalEc; 
    primaryKeyAttributes = (mrjoKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }, 
        {
            destination = ScolMaquetteRepartitionEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mrecKey; sourceAttribute = mrjoCle; }); 
            name = toScolMaquetteRepartitionEc; 
        }
    ); 
    restrictingQualifier = "(mrjoType = 'EC')"; 
}
